## geoclue-2.0 2.5.7

=== meson_options.txt ===
option('libgeoclue',
        type: 'boolean', value: true,
        description: 'Enable convenience library')
option('introspection',
        type: 'boolean', value: true,
        description: 'Enable convenience library introspection generation')
option('gtk-doc',
       type: 'boolean', value: true,
       description: 'Whether to generate the API reference for Geocode-GLib')
option('3g-source',
       type: 'boolean', value: true,
       description: 'Enable 3G source (requires ModemManager')
option('cdma-source',
       type: 'boolean', value: true,
       description: 'Enable CDMA source (requires ModemManager')
option('modem-gps-source',
       type: 'boolean', value: true,
       description: 'Enable modem GPS source (requires ModemManager')
option('nmea-source',
       type: 'boolean', value: true,
       description: 'Enable network NMEA source (requires Avahi libraries)')
option('enable-backend',
       type: 'boolean', value: true,
       description: 'Enable backend (the geoclue service)')
option('demo-agent',
       type: 'boolean', value: true,
       description: 'Build demo agent')
option('dbus-sys-dir',
       type: 'string',
       description: 'where D-BUS system.d directory is')
option('systemd-system-unit-dir',
       type: 'string',
       description: 'Directory for systemd service files')
option('dbus-srv-user',
       type: 'string', value: 'root',
       description: 'The user (existing) as which the service will run')

=== debian/changelog ===
geoclue-2.0 (2.5.7-3ubuntu3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:54:02 +0100

geoclue-2.0 (2.5.7-3ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:54 +0200

geoclue-2.0 (2.5.7-3ubuntu1) impish; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - debian/control: Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
      wrapper around the DBus service. This probably breaks Multi-Arch
      coinstallability and we should take a different fix from Debian once
      there is one (See #864305). (LP: #1696171)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 17 May 2021 11:27:42 +0200

geoclue-2.0 (2.5.7-3) unstable; urgency=medium

  * Properly detect that applications are running in flatpak when using cgroup
    v2. Thanks to Guido Günther <agx@sigxcpu.org> (Closes: #985345)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 17 Mar 2021 15:53:13 +0100

geoclue-2.0 (2.5.7-2) unstable; urgency=medium

  * d/p/fix-nowifi-query.patch: Fix getting a location if the computer has no
    wifi card (Closes: #978437)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 31 Dec 2020 04:46:07 +0100

geoclue-2.0 (2.5.7-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream version 2.5.7
    - Check the maximum allowed accuracy level even for system applications.
      Respect the value of the user preference concerning the usage of their
      geolocation. This should fix the privacy and GDPR conformity concerns as
      the user explicitly needs to enable the option.
      Note that there is no distinction between the system applications
      anymore, turning on the option is allowing them all to get the location.
      (Closes: #924516, #958497)
  * debian/README.Debian: Add information about MLS and a link to the service
    Privacy Notice page
  * Add debian/salsa-ci.yml file
  * debian/control: Remove Craig Andrews from the Uploaders.
    He has not been active since 2009, thanks for his previous work on the
    package
  * d/p/: Add a patch to make the Mozilla API key configurable
  * debian/rules: Use the key that has been allocated to debian for MLS queries
  * d/gbp.conf: Stop adding the commit-id and set multimaint-merge to True
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/p: Add an upstream patch to fix the display of the usage indicator
  * d/p: Remove the remaining differences between system app and flatpak ones.
    This fix an issue when geoclue is D-Bus activated by a client and also
    make sure that a running client is disconnected when the user disables
    the location services (set the accuracy to 0)

  [ Chris McGee ]
  * debian/control: Add rules requires root

  [ Debian Janitor ]
  * Refer to specific version of license LGPL-2+.
  * Apply multi-arch hints.
    + geoclue-doc, libgeoclue-doc: Add Multi-Arch: foreign.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2020 14:59:35 +0100

geoclue-2.0 (2.5.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [99359d91] Bump debhelper from old 11 to 12.
  * [f9dd0d99] Set debhelper-compat version in Build-Depends.
  * [a0d0042a] debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * [32c230e4] Set upstream metadata fields: Repository, Repository-Browse.
  * [3a2f4acf] Drop unnecessary dependency on dh-autoreconf.

  [ Laurent Bigonville ]
  * [ae0a90ea] debian/control: Bump Standards-Version to 4.5.0 (no further
    changes)

  [ Will Thompson ]
  * [d2643a89] New upstream version 2.5.6

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 17:06:02 +0100

=== debian/control ===
Source: geoclue-2.0
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               gobject-introspection (>= 0.9.6),
               intltool (>= 0.40.0),
               libavahi-client-dev (>= 0.6.10),
               libavahi-glib-dev (>= 0.6.10),
               libgirepository1.0-dev (>= 0.9.6),
               libglib2.0-dev (>= 2.44.0),
               libjson-glib-dev (>= 0.14),
               libmm-glib-dev (>= 1.6) [linux-any],
               libnotify-dev,
               libsoup2.4-dev (>= 2.42),
               meson (>= 0.47.2),
               pkg-config,
               valac
Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
Rules-Requires-Root: no

Package: geoclue-2.0
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Recommends: avahi-daemon,
            iio-sensor-proxy [linux-any],
            modemmanager [linux-any],
            wpasupplicant [!hurd-any]
Breaks: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
Replaces: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
Description: geoinformation service
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains the D-Bus system service for GeoClue.

Package: geoclue-2-demo
Architecture: any
Depends: geoclue-2.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: geoclue-2.0 (<< 2.4.10)
Replaces: geoclue-2.0 (<< 2.4.10)
Description: geoinformation service (demonstration programs)
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains the demonstration programs.

Package: geoclue-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: geoinformation service (D-Bus API documentation)
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains the D-Bus API documentation.

Package: libgeoclue-2-0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
Multi-Arch: same
Description: convenience library to interact with geoinformation service
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains the shared library.

Package: libgeoclue-2-dev
Architecture: any
Section: libdevel
Depends: gir1.2-geoclue-2.0 (= ${binary:Version}),
         libgeoclue-2-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libgeoclue-doc
Multi-Arch: same
Description: convenience library to interact with geoinformation service (devel files)
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains header and development files.

Package: gir1.2-geoclue-2.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: convenience library to interact with geoinformation service (introspection)
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains the introspection data.

Package: libgeoclue-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: convenience library to interact with geoinformation service (API documentation)
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains the library API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(DEB_BUILD_ARCH_OS),linux)
  MM_NM_FLAGS := -D3g-source=false \
                 -Dmodem-gps-source=false \
                 -Dcdma-source=false
endif

ifeq ($(shell which gtkdoc-scan),)
  BUILD_DOC := -Dgtk-doc=false
endif
ifneq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
  BUILD_DOC := -Dgtk-doc=false
endif

# The following API key has been allocated for Debian only
# If you are a derivative, please request your own key as discussed here:
# https://gitlab.freedesktop.org/geoclue/geoclue/-/issues/136
# See also: https://location.services.mozilla.com/api and
# https://blog.mozilla.org/services/2019/09/03/a-new-policy-for-mozilla-location-service/
ifeq ($(shell dpkg-vendor --query vendor),Debian)
  MLS_API_KEY := -Dmozilla-api-key=484bfbac-6433-4492-aed3-16cc094eff93
endif

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/libexec \
                             -Ddbus-srv-user=geoclue \
                             -Dsystemd-system-unit-dir=/lib/systemd/system \
			     ${BUILD_DOC} \
                             ${MM_NM_FLAGS} \
                             ${MLS_API_KEY}

override_dh_auto_test:
	# testsuite fails on missing latitude (et.al)
	# which is only available when using GeoLiteCity.dat
	# database, which "geoip-database" package in debian
	# does not include.
	dh_auto_test || true

%:
	dh $@ --with gir

override_dh_missing:
	dh_missing --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## geoclue-2.0 2.6.0

=== debian/changelog ===
geoclue-2.0 (2.6.0-2+deb12u1) bookworm; urgency=medium

  * Switch to beaconDB instead of the new retired MLS (Closes: #1074427)
  * d/README.Debian: Update the README to explicitly state we are using beaconDB
  * Add SSID to queries, cherry-picked from upstream for beaconDB

 -- Laurent Bigonville <bigon@debian.org>  Tue, 24 Dec 2024 18:06:58 +0100

geoclue-2.0 (2.6.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/geoclue-2.0.lintian-overrides: Fix dbus-policy-excessively-broad
    override
  * debian/geoclue-2.0.install: Install polkit rules shipped by upstream
  * debian/geoclue-2.0.install: Rename the .pkla file to match the name
    of the upstream rules file

  [ Jeremy Bicha ]
  * Cherry-pick proposed patch to build with libsoup3
  * Build-Depend on libsoup-3.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2022 11:46:47 -0400

geoclue-2.0 (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
    - debian/patches/: Drop all patches, they (or similar patches) have been
      merged upstream
    - debian/libgeoclue-2-0.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Apr 2022 14:47:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gobject-introspection (>= 0.9.6),
                intltool (>= 0.40.0),
@@ -13,13 +12,13 @@
                libjson-glib-dev (>= 0.14),
                libmm-glib-dev (>= 1.6) [linux-any],
                libnotify-dev,
-               libsoup2.4-dev (>= 2.42),
+               libsoup-3.0-dev,
                meson (>= 0.47.2),
                pkg-config,
                valac
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 Rules-Requires-Root: no
@@ -65,7 +64,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project

=== debian/rules ===
--- 
+++ 
@@ -16,22 +16,12 @@
   BUILD_DOC := -Dgtk-doc=false
 endif
 
-# The following API key has been allocated for Debian only
-# If you are a derivative, please request your own key as discussed here:
-# https://gitlab.freedesktop.org/geoclue/geoclue/-/issues/136
-# See also: https://location.services.mozilla.com/api and
-# https://blog.mozilla.org/services/2019/09/03/a-new-policy-for-mozilla-location-service/
-ifeq ($(shell dpkg-vendor --query vendor),Debian)
-  MLS_API_KEY := -Dmozilla-api-key=484bfbac-6433-4492-aed3-16cc094eff93
-endif
-
 override_dh_auto_configure:
 	dh_auto_configure -- --libexecdir=/usr/libexec \
                              -Ddbus-srv-user=geoclue \
                              -Dsystemd-system-unit-dir=/lib/systemd/system \
 			     ${BUILD_DOC} \
-                             ${MM_NM_FLAGS} \
-                             ${MLS_API_KEY}
+                             ${MM_NM_FLAGS}
 
 override_dh_auto_test:
 	# testsuite fails on missing latitude (et.al)

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/geoclue/geoclue/tags \
  /geoclue/geoclue/-/archive/(?:[\d\.]+)/geoclue-@ANY_VERSION@@ARCHIVE_EXT@

## geoclue-2.0 2.7.0

=== debian/changelog ===
geoclue-2.0 (2.7.0-3ubuntu7) noble; urgency=high

  * No change rebuild against libglib2.0-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:39:26 +0200

geoclue-2.0 (2.7.0-3ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:05:24 +0000

geoclue-2.0 (2.7.0-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:39:55 +0000

geoclue-2.0 (2.7.0-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:27:57 +0000

geoclue-2.0 (2.7.0-3ubuntu3) mantic; urgency=medium

  * debian/geoclue-2.0.install, debian/local/usr.libexec.geoclue,
    debian/geoclue-2.0.maintscript:
    - remove the apparmor profile which was added by Debian this cycle,
      the dbus mediation is preventing it from working properly, the issue
      isn't visible in Debian since the dbus service there doesn't include
      the same features than in Ubuntu. It's a bit late in the cycle
      to ensure there will no regression so we prefer to not include it now
      (LP: #2030951)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Sep 2023 18:03:27 +0200

geoclue-2.0 (2.7.0-3ubuntu2) mantic; urgency=medium

  * debian/local/usr.libexec.geoclue:
    - Update apparmor policy to allow several DBus operations.
      (LP: #2030951)

 -- Georgia Garcia <georgia.garcia@canonical.com>  Fri, 25 Aug 2023 15:20:04 -0300

geoclue-2.0 (2.7.0-3ubuntu1) mantic; urgency=medium

  * debian/control:
    - Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
      wrapper around the DBus service. This probably breaks Multi-Arch
      coinstallability and we should take a different fix from Debian once
      there is one (See #864305). (LP: #1696171)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 10 Aug 2023 11:41:34 +0200

geoclue-2.0 (2.7.0-3) unstable; urgency=medium

  * Move D-Bus policy files from /etc/dbus-1 to /usr/share/dbus-1 (Closes:
    #1041780)
  * Apparmor: Allow to query IPv6 status (Closes: #1041894)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 29 Jul 2023 09:06:57 +0200

geoclue-2.0 (2.7.0-2) unstable; urgency=medium

  * Apparmor: Allow reading configuration files in /etc/geoclue/conf.d/
  * Apparmor: Allow reading /etc/geolocation.
    Thanks to Edward Betts <edward@4angle.com>

 -- Laurent Bigonville <bigon@debian.org>  Sat, 15 Jul 2023 12:36:08 +0200

geoclue-2.0 (2.7.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove deprecated polkit pkla file

  [ Laurent Bigonville ]
  * New upstream release
    - Drop d/p/Add-support-for-building-with-libsoup3.patch: Applied upstream
  * debian/control: Bump meson build-dependency to >= 0.60.0

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Jun 2023 09:34:17 +0200

geoclue-2.0 (2.6.0-3) unstable; urgency=medium

  * Do not install the polkit rules files on non-linux architectures.
    This should fix the FTBFS on these architectures
  * debian/geoclue-2.0.lintian-overrides: Fix the lintian overrides
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop obsolete Breaks/Replaces
  * Add apparmor profile for the geoclue daemon

 -- Laurent Bigonville <bigon@debian.org>  Mon, 19 Jun 2023 09:30:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               dh-apparmor,
+               dh-exec,
                gobject-introspection (>= 0.9.6),
                intltool (>= 0.40.0),
                libavahi-client-dev (>= 0.6.10),
@@ -13,12 +16,12 @@
                libmm-glib-dev (>= 1.6) [linux-any],
                libnotify-dev,
                libsoup-3.0-dev,
-               meson (>= 0.47.2),
+               meson (>= 0.60.0),
                pkg-config,
                valac
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 Rules-Requires-Root: no
@@ -30,8 +33,8 @@
             iio-sensor-proxy [linux-any],
             modemmanager [linux-any],
             wpasupplicant [!hurd-any]
-Breaks: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
-Replaces: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
+Breaks: geoclue (>= 2.0)
+Replaces: geoclue (>= 2.0)
 Description: geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
  is to make creating location-aware applications as simple as possible.
@@ -41,8 +44,6 @@
 Package: geoclue-2-demo
 Architecture: any
 Depends: geoclue-2.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: geoclue-2.0 (<< 2.4.10)
-Replaces: geoclue-2.0 (<< 2.4.10)
 Description: geoinformation service (demonstration programs)
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
  is to make creating location-aware applications as simple as possible.
@@ -64,7 +65,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,22 @@
   BUILD_DOC := -Dgtk-doc=false
 endif
 
+# The following API key has been allocated for Debian only
+# If you are a derivative, please request your own key as discussed here:
+# https://gitlab.freedesktop.org/geoclue/geoclue/-/issues/136
+# See also: https://location.services.mozilla.com/api and
+# https://blog.mozilla.org/services/2019/09/03/a-new-policy-for-mozilla-location-service/
+ifeq ($(shell dpkg-vendor --query vendor),Debian)
+  MLS_API_KEY := -Dmozilla-api-key=484bfbac-6433-4492-aed3-16cc094eff93
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- --libexecdir=/usr/libexec \
                              -Ddbus-srv-user=geoclue \
                              -Dsystemd-system-unit-dir=/lib/systemd/system \
 			     ${BUILD_DOC} \
-                             ${MM_NM_FLAGS}
+                             ${MM_NM_FLAGS} \
+                             ${MLS_API_KEY}
 
 override_dh_auto_test:
 	# testsuite fails on missing latitude (et.al)
@@ -36,5 +46,9 @@
 override_dh_missing:
 	dh_missing --list-missing
 
+override_dh_install-arch:
+	dh_install -a
+	dh_apparmor --profile-name=usr.libexec.geoclue -pgeoclue-2.0
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## geoclue-2.0 2.7.1

=== debian/changelog ===
geoclue-2.0 (2.7.1-2) unstable; urgency=medium

  * Team upload
  * Install systemd service files into /usr/lib.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough version of dh_installsystemd.
  * Update lintian override accordingly

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 14:45:04 +0100

geoclue-2.0 (2.7.1-1) unstable; urgency=medium

  * New upstream release
    - Bump libglib2.0-dev BD to >= 2.68.0
    - debian/geoclue-2.0.install: Adjust installation paths of dbus files
  * Update apparmor policy to allow several DBus operations, from Ubuntu
    Thanks to Georgia Garcia (Closes: #1050694)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 22 Sep 2023 13:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               debhelper (>= 13.11.6),
                dh-apparmor,
                dh-exec,
                gobject-introspection (>= 0.9.6),
@@ -11,7 +11,7 @@
                libavahi-client-dev (>= 0.6.10),
                libavahi-glib-dev (>= 0.6.10),
                libgirepository1.0-dev (>= 0.9.6),
-               libglib2.0-dev (>= 2.44.0),
+               libglib2.0-dev (>= 2.68.0),
                libjson-glib-dev (>= 0.14),
                libmm-glib-dev (>= 1.6) [linux-any],
                libnotify-dev,
@@ -65,7 +65,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libexecdir=/usr/libexec \
                              -Ddbus-srv-user=geoclue \
-                             -Dsystemd-system-unit-dir=/lib/systemd/system \
+                             -Dsystemd-system-unit-dir=/usr/lib/systemd/system \
 			     ${BUILD_DOC} \
                              ${MM_NM_FLAGS} \
                              ${MLS_API_KEY}

## geoclue-2.0 2.7.2

=== meson_options.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
 option('introspection',
         type: 'boolean', value: true,
         description: 'Enable convenience library introspection generation')
+option('vapi',
+        type: 'boolean', value: true,
+        description: 'Enable convenience library vapi generation (ignored if introspection is disabled)')
 option('gtk-doc',
        type: 'boolean', value: true,
        description: 'Whether to generate the API reference for Geocode-GLib')
@@ -19,6 +22,9 @@
 option('nmea-source',
        type: 'boolean', value: true,
        description: 'Enable network NMEA source (requires Avahi libraries)')
+option('compass',
+       type: 'boolean', value: true,
+       description: 'Enable setting heading from net.hadess.SensorProxy compass')
 option('enable-backend',
        type: 'boolean', value: true,
        description: 'Enable backend (the geoclue service)')
@@ -34,3 +40,9 @@
 option('dbus-srv-user',
        type: 'string', value: 'root',
        description: 'The user (existing) as which the service will run')
+option('default-wifi-url',
+       type: 'string',
+       description: 'Default URL for Ichnaea-compatible WiFi geolocation')
+option('default-wifi-submit-url',
+       type: 'string',
+       description: 'Default URL for Ichnaea-compatible WiFi location submission')

=== debian/changelog ===
geoclue-2.0 (2.7.2-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
      wrapper around the DBus service (LP: #1696171).
    - Remove the apparmor profile which was added by Debian, the dbus
      mediation is preventing it from working properly (LP: #2030951).

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jan 2025 22:09:01 +0100

geoclue-2.0 (2.7.2-2) unstable; urgency=medium

  * debian/control: Add Provides: ${gir:Provides} for the -dev package
  * debian/rules: Use api.beacondb.net instead of beacondb.net

 -- Laurent Bigonville <bigon@debian.org>  Sun, 22 Dec 2024 10:11:37 +0100

geoclue-2.0 (2.7.2-1) unstable; urgency=low

  * New upstream release
    - Bump build-dependencies
  * debian/watch: Fix the logic after GitLab changes (Closes: #1079914)
  * debian/geoclue-2.0.lintian-overrides: Drop
    package-supports-alternative-init-but-no-init.d-script, not used anymore
  * debian/control:
    - Bump Standards-Version to 4.7.0 (no further changes)
    - Update build-dependencies to please lintian: pkg-config => pkgconf
  * debian/rules: Use beaconDB as a source, with the maintainer approval
    (Closes: #1074427)
  * debian/patches: Cherry-pick several patches for beaconDB

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Dec 2024 11:49:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                debhelper (>= 13.11.6),
                dh-apparmor,
@@ -11,17 +12,17 @@
                libavahi-client-dev (>= 0.6.10),
                libavahi-glib-dev (>= 0.6.10),
                libgirepository1.0-dev (>= 0.9.6),
-               libglib2.0-dev (>= 2.68.0),
+               libglib2.0-dev (>= 2.74.0),
                libjson-glib-dev (>= 0.14),
-               libmm-glib-dev (>= 1.6) [linux-any],
+               libmm-glib-dev (>= 1.12) [linux-any],
                libnotify-dev,
                libsoup-3.0-dev,
                meson (>= 0.60.0),
-               pkg-config,
+               pkgconf,
                valac
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 Rules-Requires-Root: no
@@ -65,7 +66,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
@@ -83,6 +84,7 @@
          ${shlibs:Depends}
 Suggests: libgeoclue-doc
 Multi-Arch: same
+Provides: ${gir:Provides}
 Description: convenience library to interact with geoinformation service (devel files)
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
  is to make creating location-aware applications as simple as possible.

=== debian/rules ===
--- 
+++ 
@@ -16,22 +16,13 @@
   BUILD_DOC := -Dgtk-doc=false
 endif
 
-# The following API key has been allocated for Debian only
-# If you are a derivative, please request your own key as discussed here:
-# https://gitlab.freedesktop.org/geoclue/geoclue/-/issues/136
-# See also: https://location.services.mozilla.com/api and
-# https://blog.mozilla.org/services/2019/09/03/a-new-policy-for-mozilla-location-service/
-ifeq ($(shell dpkg-vendor --query vendor),Debian)
-  MLS_API_KEY := -Dmozilla-api-key=484bfbac-6433-4492-aed3-16cc094eff93
-endif
-
 override_dh_auto_configure:
 	dh_auto_configure -- --libexecdir=/usr/libexec \
                              -Ddbus-srv-user=geoclue \
                              -Dsystemd-system-unit-dir=/usr/lib/systemd/system \
 			     ${BUILD_DOC} \
                              ${MM_NM_FLAGS} \
-                             ${MLS_API_KEY}
+                             -Ddefault-wifi-url=https://api.beacondb.net/v1/geolocate
 
 override_dh_auto_test:
 	# testsuite fails on missing latitude (et.al)

## geoclue-2.0 2.8.0

=== debian/changelog ===
geoclue-2.0 (2.8.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Bump debhelper compat to 13
  * Update debian/upstream/metadata
  * Update gir handling (Closes: #1118821)
  * Use sysusers.d instead of adduser
  * Remove obsolete maintscript
  * Remove all patches: applied in new release

  [ Laurent Bigonville ]
  * d/README.Debian: Update the README to explicitly state we are using beaconDB
  * debian/copyright: Update the FSF address
  * debian/control: Bump Standards-Version to 4.7.2 (no further changes)

  [ Alessandro Astone ]
  * Fix AppArmor rules for DBus (LP: #2030951, Closes: #1110134)

  [ Chris Talbot ]
  * debian/rules: Make beacondb.net default for wifi submissions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 16:51:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               debhelper (>= 13.11.6),
+Maintainer: Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dh-exec,
-               gobject-introspection (>= 0.9.6),
-               intltool (>= 0.40.0),
+               dh-sequence-gir,
+               dh-sequence-installsysusers,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                libavahi-client-dev (>= 0.6.10),
                libavahi-glib-dev (>= 0.6.10),
-               libgirepository1.0-dev (>= 0.9.6),
                libglib2.0-dev (>= 2.74.0),
                libjson-glib-dev (>= 0.14),
                libmm-glib-dev (>= 1.12) [linux-any],
@@ -22,14 +21,14 @@
                valac
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 Rules-Requires-Root: no
 
 Package: geoclue-2.0
 Architecture: any
-Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: avahi-daemon,
             iio-sensor-proxy [linux-any],
             modemmanager [linux-any],
@@ -66,7 +65,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
@@ -77,11 +76,10 @@
 Package: libgeoclue-2-dev
 Architecture: any
 Section: libdevel
-Depends: gir1.2-geoclue-2.0 (= ${binary:Version}),
-         libgeoclue-2-0 (= ${binary:Version}),
+Depends: libgeoclue-2-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.44.0),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${gir:Depends},
+         ${misc:Depends}
 Suggests: libgeoclue-doc
 Multi-Arch: same
 Provides: ${gir:Provides}
@@ -94,7 +92,7 @@
 Package: gir1.2-geoclue-2.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service (introspection)
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(DEB_BUILD_ARCH_OS),linux)
  MM_NM_FLAGS := -D3g-source=false \
                 -Dmodem-gps-source=false \
                 -Dcdma-source=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddbus-srv-user=geoclue \
		-Dgtk-doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dsystemd-system-unit-dir=/usr/lib/systemd/system \
		${MM_NM_FLAGS}

%:
	dh $@

execute_after_dh_install-arch:
	dh_apparmor --profile-name=usr.libexec.geoclue -pgeoclue-2.0

override_dh_installchangelogs:
	dh_installchangelogs NEWS
